module Soar
  module Registry
    module Staff
      module Directory
        module Error
          class BootstrapError < StandardError; end;
          class AuthenticationError < StandardError; end;
          class CommunicationError < StandardError; end;
          class ConnectionError < StandardError; end;
          class NotReadyError < StandardError; end;
          class UniqueIdentifierNotFoundError < StandardError; end;
          class MissingIndexError < StandardError; end;
          class MissingQueryError < StandardError; end;
          class UniqueIdentifierNotFound < StandardError; end;
        end
      end
    end
  end
end
