require 'soar/registry/staff/identity/base'

module Soar
  module Registry
    module Staff
      module Identity

        class Id < Base

          ##
          # @param [String] identifier, a primary key that uniquely identifies an identity
          # @return [Hash] an identity
          ##
          def calculate_identities(identifier)
            return [@translator.get_identity(@directory.fetch_identity(identifier))]
          end

        end
      end
    end
  end
end
