module Soar
  module Registry
    module Staff
      module Translator
        class Default

          ##
          # @param [Hash] entry a single entry from datasource
          # @returns [Hash] identity a single identity
          ##
          def get_identity(entry)
            return entry
          end

          ##
          # @param [Array] entries a list of entries from data source
          # @return [Array] identities a list of identities
          ##
          def get_identities(entries)
            return entries
          end

        end
      end
    end
  end
end
