require 'soar/registry/staff/identity/base'

module Soar
  module Registry
    module Staff
      module Identity
        class Email < Base

          ##
          # @param [String] identifier, an email address that uniquely identifies an identity
          # @return [Hash] an identity
          ##
          def calculate_identities(identifier)
            entries = @directory.search_identities("email", identifier )
            return [@translator.get_identity(entries)[0]]
          end

        end
      end
    end
  end
end
